package domain


type AlibabaWdkSeriesSkuAddApiResult struct {
    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        系列品添加商品成功结果     */
    Model  *AlibabaWdkSeriesSkuAddSkuSeriesEditResult `json:"model,omitempty" `

    /*
        错误详情     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSeriesSkuAddApiResult) SetErrCode(v string) *AlibabaWdkSeriesSkuAddApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSeriesSkuAddApiResult) SetModel(v AlibabaWdkSeriesSkuAddSkuSeriesEditResult) *AlibabaWdkSeriesSkuAddApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkSeriesSkuAddApiResult) SetErrMsg(v string) *AlibabaWdkSeriesSkuAddApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSeriesSkuAddApiResult) SetSuccess(v bool) *AlibabaWdkSeriesSkuAddApiResult {
    s.Success = &v
    return s
}
